Subject: SWI on Windows 95

From: Stephen Rogerson <[email-masked]>
Date: Sun, 17 Sep 2000 16:52:18 +0100

often when quitting out of SWI-prolog on W95, I get an error with a modal box.
After clicking ok, it repeats and the PC needs to be reset to be able shutdown
and re-start. I can of course ignore it in the short term, but it leaves a small
box on the top of the screen.

The data in faultlog.txt is:

Date 09/17/2000 Time 15:58
PLWIN caused an invalid page fault in
module KERNEL32.DLL at 0157:bff79ff3.
Registers:
EAX=005c6370 CS=0157 EIP=bff79ff3 EFLGS=00010202
EBX=033af95c SS=015f ESP=032b0000 EBP=032b0024
ECX=032b1df8 DS=015f ESI=00000001 FS=4077
EDX=00000001 ES=015f EDI=817415c0 GS=0000
Bytes at CS:EIP:
56 57 89 65 e8 75 04 33 c0 eb 54 85 c0 74 4b c7 
Stack dump:
033af95c 005c6370 00000001 033af95c 005f7f70 032b1df8 bffb88a8 bff781c8 ffffffff
032b1e08 bff7b3ef 005c6370 00000001 005f8051 005c6370 032b1e30 

I first saw this problem in 3.2.8. It has been in every version [ that I
downloaded ] up to the present 3.3.10.

-- 
Forest of Dean